org.gnome.gtk

## Class StyleRegion

- Object
- - org.gnome.gtk.Style
  - - org.gnome.gtk.StyleRegion

-     public final class StyleRegion
      extends Style

  Styles that help to manipulate the region value of the `StyleContext` of a widget inside GTK.
  Since:
    4.1.2
  Author:
    Guillaume Mazoyer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StyleRegion` | `COLUMN` A widget region name to define a `TreeView` column.
    `static StyleRegion` | `COLUMN_HEADER` A widget region name to define a `TreeView` column header.
    `static StyleRegion` | `ROW` A widget region name to define a `TreeView` row.
    `static StyleRegion` | `TAB` A widget region name to define a `Notebook` tab.

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLUMN

          public static final StyleRegion COLUMN

      A widget region name to define a `TreeView` column.

    - #### COLUMN_HEADER

          public static final StyleRegion COLUMN_HEADER

      A widget region name to define a `TreeView` column header.

    - #### ROW

          public static final StyleRegion ROW

      A widget region name to define a `TreeView` row.

    - #### TAB

          public static final StyleRegion TAB

      A widget region name to define a `Notebook` tab.